Get WebSocket application
curl --request GET \
--url https://cloud.laravel.com/api/websocket-applications/{websocketApplication} \
--header 'Authorization: Bearer <token>'import requests
url = "https://cloud.laravel.com/api/websocket-applications/{websocketApplication}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://cloud.laravel.com/api/websocket-applications/{websocketApplication}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"type": "websocketApplications",
"attributes": {
"name": "<string>",
"app_id": "<string>",
"allowed_origins": [
"<unknown>"
],
"ping_interval": 123,
"activity_timeout": 123,
"max_message_size": 123,
"max_connections": 123,
"key": "<string>",
"secret": "<string>",
"created_at": "2023-11-07T05:31:56Z"
},
"relationships": {
"server": {
"data": {
"type": "websocketServers",
"id": "<string>"
}
}
}
},
"included": [
{
"id": "<string>",
"type": "websocketServers",
"attributes": {
"name": "<string>",
"type": "reverb",
"hostname": "<string>",
"created_at": "2023-11-07T05:31:56Z"
},
"relationships": {
"applications": {
"data": [
{
"type": "websocketApplications",
"id": "<string>"
}
]
}
}
}
]
}{
"message": "<string>"
}WebSocket Applications
Get WebSocket application
Get a specific WebSocket application including credentials.
GET
/
websocket-applications
/
{websocketApplication}
Get WebSocket application
Authorizations
The Bearer Token generated on the Cloud UI.
Path Parameters
The websocket application identifier
Query Parameters
Available options:
server Was this page helpful?
⌘I

